From 3ad58b7091d6508e833006c2481c1a9354a842c1 Mon Sep 17 00:00:00 2001
From: Fabio Ritrovato <exsephiroth87@gmail.com>
Date: Fri, 18 Jul 2008 16:52:23 +0200
Subject: [PATCH] Skins2: use the right id when creating the tree
 Resolve some bugs related to the playlist in Skins2, like adding items
 in the wrong place, and services discovery not showing.

---
 modules/gui/skins2/vars/playtree.cpp |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

diff --git a/modules/gui/skins2/vars/playtree.cpp b/modules/gui/skins2/vars/playtree.cpp
index 1c51dc1..977cbfa 100644
--- a/modules/gui/skins2/vars/playtree.cpp
+++ b/modules/gui/skins2/vars/playtree.cpp
@@ -198,7 +198,7 @@ void Playtree::buildNode( playlist_item_t *pNode, VarTree &rTree )
     {
         UString *pName = new UString( getIntf(),
                                    pNode->pp_children[i]->p_input->psz_name );
-        rTree.add( pNode->pp_children[i]->p_input->i_id, UStringPtr( pName ),
+        rTree.add( pNode->pp_children[i]->i_id, UStringPtr( pName ),
                      false,
                      m_pPlaylist->status.p_item == pNode->pp_children[i],
                      false, pNode->pp_children[i]->i_flags & PLAYLIST_RO_FLAG,
-- 
1.5.4.3

